{% trans_default_domain 'FOSUserBundle' %}

{% if errors is defined %}
{{ dump(errors) }}
{% endif %}

<form action="{{ url('public_user_reset_password') }}" method="POST" class="fos_user_resetting_request">


    <div class="form-group">
        <label for="username">{{ 'resetting.request.username'|trans }}

            {% if email_error is defined %}
                <span class="bsp-err-spn invalid-feedback d-block">
                    <span class="d-block">
                        <span class="form-error-icon badge badge-danger text-uppercase">Error</span>
                        <span class="form-error-message">
                            {% for err in email_error %}
                                {{ err }}
                            {% endfor %}
                        </span>
                    </span>
                </span>
            {% endif %}

        </label>
        <input type="text" name="username" class="form-control {{ email_error is defined ? 'is-invalid' }}" value="{{ email is defined ? email }}" required autofocus>
    </div>

    {#<div>#}
        {#<label for="username">{{ 'resetting.request.username'|trans }}</label>#}
        {#<input type="text" id="username" name="username" required="required" />#}
    {#</div>#}
    <div>
        <button class="btn btn-block btn-primary" type="submit">{{ 'resetting.request.submit'|trans }}</button>
    </div>
</form>
